httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Greg Stein <gst...@lyra.org>
Subject Re: [VOTE] Location of aaa rewrite
Date Tue, 03 Sep 2002 23:36:11 GMT
On Tue, Sep 03, 2002 at 03:34:51PM -0700, Justin Erenkrantz wrote:
> Please vote:
> 
> [X] Check in aaa rewrite to 2.0.
> [ ] Check in aaa rewrite to 2.1.


----------------------

> Please realize that I don't think it's possible to maintain
> backwards compatibility due to the relevant Authoritative directives.
> So, a vote for 2.0 means it is okay to break backwards compatibility.

I think a carefully placed hack will fix the Authoritative stuff. :-)

For example, have mod_auth_basic define the directive, and have it alter its
dispatch to the different authn backends. You can certainly deprecate the
directive, but I bet it can end up working okay.

> Everyone is encouraged to vote.  I believe majority wins since this
> isn't a code vote, but a policy one.  (But, if someone says that
> vetos apply, fine, but we may end up with dueling vetos - which then
> doesn't help anyone.)

At this level, it is policy, so majority wins. When you check in code that
breaks the system, then a technical veto can arise. So you could always
state that this is advisory only :-)

Cheers,
-g

-- 
Greg Stein, http://www.lyra.org/

Mime
View raw message